Package ghidra.plugin.importer

# Class LanguageSortedTableModel

java.lang.Object
javax.swing.table.AbstractTableModel
docking.widgets.table.AbstractGTableModel<LanguageCompilerSpecPair>
docking.widgets.table.AbstractSortedTableModel<LanguageCompilerSpecPair>
ghidra.plugin.importer.LanguageSortedTableModel

All Implemented Interfaces:
  `RowObjectTableModel<LanguageCompilerSpecPair>`, `SelectionStorage<LanguageCompilerSpecPair>`, `SortedTableModel`, `Serializable`, `TableModel`

public class LanguageSortedTableModel extends AbstractSortedTableModel<LanguageCompilerSpecPair>

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class docking.widgets.table.AbstractSortedTableModel

  `hasEverSorted`

  ### Fields inherited from class docking.widgets.table.AbstractGTableModel

  `isDisposed, WIDTH_UNDEFINED`

  ### Fields inherited from class javax.swing.table.AbstractTableModel

  `listenerList`

  ### Fields inherited from interface docking.widgets.table.SortedTableModel

  `ASCENDING_ORDER, DESCENDING_ORDER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LanguageSortedTableModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class<?>`
  `getColumnClass(int columnIndex)`
  `int`
  `getColumnCount()`
  `String`
  `getColumnName(int column)`
  `Object`
  `getColumnValueForRow(LanguageCompilerSpecPair pair, int column)`
  Implementors are expected to return a value at the given column index for the specified row object.
  `int`
  `getFirstLcsPairIndex(LanguageCompilerSpecPair toFind)`
  `LanguageCompilerSpecPair`
  `getLcsPairAtRow(int selectedRow)`
  `List<LanguageCompilerSpecPair>`
  `getModelData()`
  Implementors should return the current data of the model.
  `String`
  `getName()`
  Returns the name of this model
  `boolean`
  `isSortable(int columnIndex)`
  Returns true if the specified columnIndex is sortable.

  ### Methods inherited from class docking.widgets.table.AbstractSortedTableModel

  `addSortListener, cleanupTableSortState, createSortComparator, createSortingContext, fireTableChanged, getIndexForRowObject, getIndexForRowObject, getPendingSortState, getPrimarySortColumnIndex, getRowIndex, getRowObject, getTableSortState, getValueAt, initializeSorting, isSorted, isSortPending, notifyModelSorted, reSort, setDefaultTableSortState, setTableSortState, sort, sortCompleted`

  ### Methods inherited from class docking.widgets.table.AbstractGTableModel

  `dispose, getLastSelectedObjects, getPreferredColumnWidth, getRowCount, isDisposed, refresh, setLastSelectedObjects`

  ### Methods inherited from class javax.swing.table.AbstractTableModel

  `addTableModelListener, findColumn, fireTableCellUpdated, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface docking.widgets.table.RowObjectTableModel

  `fireTableDataChanged`

  ### Methods inherited from interface javax.swing.table.TableModel

  `addTableModelListener, getRowCount, isCellEditable, removeTableModelListener, setValueAt`

- ## Constructor Details

  - ### LanguageSortedTableModel

    public LanguageSortedTableModel()

- ## Method Details

  - ### getName

    public String getName()
    Description copied from interface: `RowObjectTableModel`
    Returns the name of this model
    Returns:
      the name of this model

  - ### getColumnCount

    public int getColumnCount()

  - ### getColumnName

    public String getColumnName(int column)
    Specified by:
      `getColumnName` in interface `TableModel`
    Overrides:
      `getColumnName` in class `AbstractTableModel`

  - ### getColumnClass

    public Class<?> getColumnClass(int columnIndex)
    Specified by:
      `getColumnClass` in interface `TableModel`
    Overrides:
      `getColumnClass` in class `AbstractTableModel`

  - ### isSortable

    public boolean isSortable(int columnIndex)
    Description copied from interface: `SortedTableModel`
    Returns true if the specified columnIndex is sortable.
    Parameters:
      `columnIndex` - the column index
    Returns:
      true if the specified columnIndex is sortable

  - ### getModelData

    public List<LanguageCompilerSpecPair> getModelData()
    Description copied from interface: `RowObjectTableModel`
    Implementors should return the current data of the model. For models that support filtering, this will be the filtered version of the data. Furthermore, the data should be the underlying data and not a copy, as this method will potentially sort the given data.

    For those subclasses using an array, you may use the `Arrays` class to create a list backed by the array (`Arrays.asList(Object...)`).

    Returns:
      the model data.

  - ### getColumnValueForRow

    public Object getColumnValueForRow(LanguageCompilerSpecPair pair, int column)
    Description copied from interface: `RowObjectTableModel`
    Implementors are expected to return a value at the given column index for the specified row object. This is essentially a more specific version of the `TableModel.getValueAt(int, int)` that allows this class's comparator objects to work.
    Parameters:
      `pair` - The object that represents a given row.
      `column` - The column index for which a value is requested.
    Returns:
      a value at the given column index for the specified row object.

  - ### getLcsPairAtRow

    public LanguageCompilerSpecPair getLcsPairAtRow(int selectedRow)

  - ### getFirstLcsPairIndex

    public int getFirstLcsPairIndex(LanguageCompilerSpecPair toFind)